/*
 * SNPFile -- SNP data management for association mapping.
 *
 * Copyright (C) 2007, 2008
 *               Bioinformatics Research Center,
 *               University of Aarhus, Denmark
 *               Contact: Thomas Mailund <mailund@birc.au.dk>
 *
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
 * 02110-1301, USA.
 */

#ifndef ARRAY_MATRIX_HH_INCLUDED
#define ARRAY_MATRIX_HH_INCLUDED

/** \file
 * \brief Declaration of ArrayMatrixData.
 */

namespace BiRC {
    namespace SNPFile {

	class Matrix;

	/**
	 * \brief Construct a new matrix with the specified dimensions.
	 *
	 * A factory method that constructs an array matrix (a matrix
	 * represented in RAM).
	 *
	 * \param noRows Number of rows for the new matrix.
	 * \param noCols Number of columns for the new matrix.
	 * \param phased Flag indicating whether the sequences are
	 * phased or not.
	 */
	Matrix newArrayMatrix(int noRows = 0, int noCols = 0, 
			      bool phased = false);
    }
}



#endif
