/*
 * SNPFile -- SNP data management for association mapping.
 *
 * Copyright (C) 2007, 2008
 *               Bioinformatics Research Center,
 *               University of Aarhus, Denmark
 *               Contact: Thomas Mailund <mailund@birc.au.dk>
 *
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
 * 02110-1301, USA.
 */

#ifndef FILE_MATRIX_HH_INCLUDED
#define FILE_MATRIX_HH_INCLUDED

/** \file
 * \brief Methods for accessing matrices in SNPFile's.
 */

namespace BiRC {
    namespace SNPFile {

        class ImmutableMatrix;
        class Matrix;
        class SNPFile;

        // Factory methods
        ImmutableMatrix newReadOnlyFileMatrix(const SNPFile &file);
        Matrix newReadWriteFileMatrix(SNPFile &file);
    }
}


#endif
