/*
 * SNPFile -- SNP data management for association mapping.
 *
 * Copyright (C) 2007 by Bioinformatics Research Center,
 *                       University of Aarhus, Denmark
 *                       Contact: Thomas Mailund <mailund@birc.au.dk>
 *
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
 * 02110-1301, USA.
 */

#include "test_util.hh"

#include <cstdlib>
#include <unistd.h>
#include <cstring>

#undef NDEBUG
#include <cassert>



/** \file
 *
 * \brief Implementation of functions for easing testing.
 */



namespace BiRC {
    namespace SNPFile {
        char *makeTempFile(int &fd)
        {
            const char filename[] = "/tmp/snp.tmp.XXXXXX";
            char *buffer = new char[sizeof(filename)];
            memcpy(buffer, filename, sizeof(filename));
            assert((fd = mkstemp(buffer)) != -1);

            return buffer;
        }



        void removeTempFile(int fd, const char *filename)
        {
            assert(close(fd) != -1);
            assert(unlink(filename) != -1);
            delete[] filename;
        }
    }
}
